Skip to content

Get Mark Prices​

GET
/v1/perps/mark-prices

Return the mark price for the requested pairs as a map of pair symbol to price. Cap of 100
symbols per request (10 for xyz pairs); omit pairs for all pairs.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

pairs

Comma-separated list of pair symbols, e.g. BTCUSDC,xyz:METAUSDC. Uppercased and split on ,; blank entries are dropped. Cap of 100 symbols per request (10 for xyz pairs). Omit to return all pairs.

Type
string

Responses​

Mark prices retrieved successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​